<div class="fixed-top d-flex justify-content-end p-2">
    <button class="btn btn-danger" *ngIf="authState.user" (click)="logout()">Logout</button>
    <a class="btn btn-primary" routerLink="/login" *ngIf="!authState.user">Login</a>
</div>
<router-outlet></router-outlet>